Bug 56660 - /etc/resolv.conf search for nisdomain.
/etc/resolv.conf search for nisdomain.
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: dhcpcd (Show other bugs)
7.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Elliot Lee
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-11-23 11:58 EST by Per Starbäck
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-11-23 11:58:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Per Starbäck 2001-11-23 11:58:30 EST
Description of Problem:


Version-Release number of selected component (if applicable):
dhcpcd-1.3.18p18-13

How Reproducible:
Always.

When I boot using dhcp and the dhcp server tells the client what nis-domain
to use, that is used for updating "domain" and "search" in /etc/resolv.conf.

I expected it to only use (dns) domain-name for /etc/resolv.conf.

The dhcp server I use is dhcp-2.0p15-4 on RH7.1.  I don't think there is
anything strange with the answer it gives.  The client's
/etc/dhcpc/dhcpcd-eth0.info includes both a "DOMAIN=..." and a
"NISDOMAIN=..." line with correct values.
Comment 1 Elliot Lee 2001-12-31 15:24:48 EST
As of dhcpcd-1.3.21pl1, the 'domain' is not written out, and the 'search' path
includes both the DNS domain and NIS domain. For some people (such as myself)
this is needed, and for the others, it does not hurt anything beyond a
negligible performance loss, so I will leave it as-is.

Note You need to log in before you can comment on or make changes to this bug.